<?php
/**
 * Created by PhpStorm.
 * User: FrédéricGuichard
 * Date: 29/11/2016
 * Time: 10:07
 */

namespace ByDedi\AdminBundle\Twig\Extension;

use Symfony\Component\DependencyInjection\Container;
use Twig_Extension_InitRuntimeInterface;

class IsImageExtension extends \Twig_Extension implements Twig_Extension_InitRuntimeInterface
{
    private $container;
    /**
     * Return the functions registered as twig extensions
     *
     * @return array
     */
    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    public function getFunctions()
    {
        return array(
            new \Twig_SimpleFunction('is_image', array($this,'isImage')),
        );
    }

    public function isImage($var)
    {
        $root = $this->container->getParameter('application.web_dir');
        return (bool)@is_array(getimagesize($root.$var));
    }

    public function getName()
    {
        return 'is_image_extension';
    }
}
